PROGRAM_NAME='EIB_Table'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 04/25/2002 AT: 15:44:29               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 07/15/2002 AT: 16:49:01         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION:                                         *)
(*  REVISION DATE: 04/25/2002                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)
DEFINE_CONSTANT
min_init = 50           // Zeit NICHT verkuerzen !


DEFINE_VARIABLE

integer x
char    Feld[255]       // "Bastel"-Variable *)



DEFINE_START

x=0
wait (min_init)
 x = 1
 
 
DEFINE_PROGRAM



wait 2
  {
  IF(X)
    {
    SWITCH (x)
      {
      CASE  1 : { Feld = 'ADD SW 1 1/0/1' }     // Licht 1 setzen *)
      CASE  2 : { Feld = 'ADD SW 2 1/0/2' }     // Licht 2 setzen *)
      CASE  3 : { Feld = 'ADD SW 3 1/0/3' }     // Licht 3 setzen *)
      CASE  4 : { Feld = 'ADD SW 4 1/0/4' }     // Licht 4 setzen *)
      CASE  5 : { Feld = 'ADD SW 5 1/0/5' }     // Licht 5 setzen *)
      CASE  6 : { Feld = 'ADD SW 6 1/0/6' }     // Licht 6 setzen *)

      CASE  7 : { Feld = 'ADD SW 7 1/0/11' }    // Licht 1 Zustand *)
      CASE  8 : { Feld = 'ADD SW 8 1/0/12' }    // Licht 2 Zustand *)
      CASE  9 : { Feld = 'ADD SW 9 1/0/13' }    // Licht 3 Zustand *)
      CASE 10 : { Feld = 'ADD SW 10 1/0/14' }   // Licht 4 Zustand *)
      CASE 11 : { Feld = 'ADD SW 11 1/0/15' }   // Licht 5 Zustand *)
      CASE 12 : { Feld = 'ADD SW 12 1/0/16' }   // Licht 6 Zustand *)

      CASE 13 : { Feld = 'ADD SW 13 1/0/21' }   // Lichtszenen 1+2 *)
      CASE 14 : { Feld = 'ADD SW 14 1/0/22' }   // Lichtszenen 3+4 *)

      CASE 15 : { Feld = 'ADD SW 15 1/0/31' }   // Jalousie 1 Auf/Ab *)
      CASE 16 : { Feld = 'ADD SW 16 1/0/32' }   // Jalousie 1 Lamellen *)
      CASE 17 : { Feld = 'ADD SW 17 1/0/33' }   // Jalousie 2 Auf/Ab *)
      CASE 18 : { Feld = 'ADD SW 18 1/0/34' }   // Jalousie 2 Lamellen *)

      CASE 19 : { Feld = 'ADD SW 19 1/0/111' }  // Dimmer 1 Ein/Aus *)
      CASE 20 : { Feld = 'ADD D4 1 1/0/112' }   // Dimmer 1 relativ *)
      CASE 21 : { Feld = 'ADD 1B 1 1/0/113' }   // Dimmer 1 absolut *)
      CASE 22 : { Feld = 'ADD 1B 2 1/0/114' }   // Dimmer 1 Wert lesen *)

      CASE 23 : { Feld = 'ADD SW 20 1/0/121' }  // Dimmer 2 Ein/Aus *)
      CASE 24 : { Feld = 'ADD D4 2 1/0/122' }   // Dimmer 2 relativ *)
      CASE 25 : { Feld = 'ADD 1B 3 1/0/123' }   // Dimmer 2 absolut *)
      CASE 26 : { Feld = 'ADD 1B 4 1/0/124' }   // Dimmer 2 Wert lesen *)

      CASE 27 : { Feld = 'ADD 2B 1 1/0/201' }   // Analogwert 1 *)
      CASE 28 : { Feld = 'ADD 2B 2 1/0/202' }   // Analogwert 2 *)
      CASE 29 : { Feld = 'ADD 1B 5 1/0/203' }   // Analogwert 3 *)
      CASE 30 : { Feld = 'ADD 1B 6 1/0/204' }   // Analogwert 4 *)

      (* Auto-Poll Dimmer 1 *)
      CASE 31 : { Feld = 'WHEN SW 19 POLL 1B 2' }
      CASE 32 : { Feld = 'WHEN D4 1 POLL 1B 2' }
      CASE 33 : { Feld = 'WHEN 1B 1 POLL 1B 2' }

      (* Auto-Poll Dimmer 2 *)
      CASE 34 : { Feld = 'WHEN SW 20 POLL 1B 4' }
      CASE 35 : { Feld = 'WHEN D4 2 POLL 1B 4' }
      CASE 36 : { Feld = 'WHEN 1B 3 POLL 1B 4' }
      
      CASE 37 : { Feld = 'WATCH SW 1' }

      DEFAULT:  { Feld = "" }                   // Abbruch
      }
    if(Feld <> "")
      {
      system_call 'EIB4_NX Send Command' (vdvEIB,Feld)
      X = X + 1
      }
    else
      X = 0
    }
  }

